<template>
    <main class="favorite">
        <div class="h1-container">
            <h1 class="h1-with-line"> Избранное</h1>
            <div class="h1-line"></div>
            <div class="clear"></div>
        </div>
        <div class="flex-parent flex-justify-center">
            <div  class="favorite-item-container" v-for="favorite in favorites">
            <router-link :to="{name:'Task', params:{id: favorite.id}}" >
                <div class="favorite-books-title">{{favorite.book}}</div>
                <div class="favorite-section">{{favorite.section}}</div>
                <div class="favorite-task">{{favorite.task}}</div>

            </router-link>
                <div class="favorite-star" @click="removeFromFavorite(favorite.id)"></div>
            </div>

        </div>


    </main>
</template>

<script>
    export default {
        name: 'Favorite',
        beforeMount() {
            this.$store.dispatch('loadFavorites')
        },
        computed: {
            favorites() {
                console.log(this.$store.getters.favorites)
                return this.$store.getters.favorites
            },
        },
        methods:{
            removeFromFavorite(id){
                this.$store.dispatch('removeFromFavorite', id)
            }
        }
    }
</script>
